Bug 201724 - [patch] databases/tora: use OPTIONS helpers
Summary: [patch] databases/tora: use OPTIONS helpers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-20 20:08 UTC by Andriy Voskoboinyk
Modified: 2015-08-18 20:07 UTC (History)
0 users

See Also:


Attachments
Patch.diff (9.07 KB, patch)
2015-07-20 20:08 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (507 bytes, text/plain)
2015-07-20 20:10 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (281.81 KB, text/plain)
2015-07-20 20:10 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-20 20:08:53 UTC
Created attachment 159024 [details]
Patch.diff

- Use OPTIONS helpers where possible.
- Drop qt4-linguist dependency - the port does not use it (and it already contains prebuilt translations).
- Regenerate patches.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-20 20:10:18 UTC
Created attachment 159026 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-20 20:10:32 UTC
Created attachment 159027 [details]
poudriere-9.3-i386.log
Comment 3 Philip M. Gollucci freebsd_committer 2015-08-12 01:51:26 UTC
Take.
Comment 4 commit-hook freebsd_committer 2015-08-18 20:00:37 UTC
A commit references this bug:

Author: pgollucci
Date: Tue Aug 18 20:00:33 UTC 2015
New revision: 394644
URL: https://svnweb.freebsd.org/changeset/ports/394644

Log:
  databases/tora: use OPTIONS helpers

  - Use OPTIONS helpers where possible.
  - Drop qt4-linguist dependency - the port does not use it (and it already contains prebuilt translations).
  - Regenerate patches.

  PR:                  201724
  Submitted by:        s3erios@gmail.com

Changes:
  head/databases/tora/Makefile
  head/databases/tora/files/patch-config_m4_oracle.m4
  head/databases/tora/files/patch-configure
  head/databases/tora/files/patch-configure.ac
  head/databases/tora/files/patch-doc_Makefile.am
  head/databases/tora/files/patch-doc_help_tora.texi
  head/databases/tora/files/patch-src_Makefile.am
  head/databases/tora/files/patch-src_toextract.cpp
  head/databases/tora/files/patch-src_toextract.h
  head/databases/tora/files/patch-src_tooracleconnection.cpp
  head/databases/tora/files/patch-src_topiechart.h
  head/databases/tora/files/patch-src_toreport.cpp
Comment 5 Philip M. Gollucci freebsd_committer 2015-08-18 20:07:25 UTC
Committed. Thanks!